org.eclipse.cdt.core.model

## Interface IContributedModelBuilder

    public interface IContributedModelBuilder

Interface supported by model builders for contributed languages. Model builders parse a `TranslationUnit` (i.e., a file) and return a hierarchy of `ICElement`s which represent the high-level structure of that file (what modules, classes, functions, and similar constructs are contained in it, and on what line(s) the definition occurs). The translation unit to parse and the initial element map are given to `ILanguage.createModelBuilder(org.eclipse.cdt.core.model.ITranslationUnit)`, which will presumably pass that information on to the model builder constructor.

### Nested Class Summary

Nested Classes
`static interface` `IContributedModelBuilder.Factory` A factory to create a model builder for a translation unit.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `parse(boolean quickParseMode)` Callback used when a `TranslationUnit` needs to be parsed.

### Method Detail

#### parse

    void parse(boolean quickParseMode)
        throws java.lang.Exception

Callback used when a `TranslationUnit` needs to be parsed. The translation unit to parse is given to `ILanguage.createModelBuilder(org.eclipse.cdt.core.model.ITranslationUnit)`, which will presumably pass it on to the model builder constructor.

Throws:
  `java.lang.Exception`